curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "drum-generator",
"input": {
"model": "drumgen"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "drum-generator",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Create random drum beats using AI.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "drum-generator",
"input": {
"model": "drumgen"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "drum-generator",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | Free |
| Tool | drum-generator |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | drum-generator |
input.model | string | Yes | drumgen |
input.seed | number | No | Random seed for reproducibility. Use -1 for random (default) |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "drum-generator",
"input": {
"model": "drumgen"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "drum-generator",
"createdAt": "2024-01-15T10:30:00.000Z"
}